Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 518922 - net-im/skype-4.3.0.37: pulseaudio+amd64 have insufficient dependencies
Summary: net-im/skype-4.3.0.37: pulseaudio+amd64 have insufficient dependencies
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-03 09:53 UTC by Martin Väth
Modified: 2014-08-30 17:28 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Väth 2014-08-03 09:53:00 UTC
Currently, the skype-4.3.0.37 ebuild only has the dependency:

pulseaudio? ( media-sound/pulseaudio )

This does not work on amd64 if app-emulation/emul-linux-x86-soundlibs is not installed and media-sound/pulseaudio is compiled *without* ABI_X86=32:
It seems that the 64 bit pulseaudio simply is not recognized by the (apparently 32 bit) skype binary - no sound is available.

I guess the correct way would be to add an additional dependency of the type

amd64? ( pulseaudio? (
 || (
       >=app-emulation/emul-linux-x86-soundlibs-${EMUL_X86_VER}
       >=media-sound/pulseaudio-5.0[abi_x86_32(-)]
 ) ) )

(optionally, this may be shifted either into the existing amd64? (...) brace or into the existing pulseaudio? (...) brace...)
Comment 1 NP-Hardass gentoo-dev 2014-08-27 02:13:22 UTC
skype-4.3.0.37 should have a hard dependency on pulseaudio because alsa support has been dropped.
http://blogs.skype.com/2014/06/18/skype-4-3-for-linux/
"This version dropped support for direct Alsa support; please install PulseAudio [...]"
Comment 2 Ulrich Müller gentoo-dev 2014-08-30 13:05:44 UTC
(In reply to NP-Hardass from comment #1)
> skype-4.3.0.37 should have a hard dependency on pulseaudio because alsa
> support has been dropped.

No, this would have the consequence that skype could no longer be installed on systems without pulseaudio. It can still be used on such systems for functions not needing sound, e.g. for chat.
Comment 3 Ulrich Müller gentoo-dev 2014-08-30 17:28:14 UTC
Fixed, thanks for reporting.